<form role="form" 
autocomplete="off" (ngSubmit)="save()">
    <div mat-dialog-content>
        <div class="row">
            <div class="col-sm-4 col-12">
                <mat-form-field class="example-full-width">
                    <mat-select placeholder="Cliente" formControlName="client">
                        <mat-option *ngFor="let client of virtualService" [value]="client.id">
                            {{client.name}}
                        </mat-option>
                    </mat-select>
                </mat-form-field>
            </div>
            <div class="col-sm-4 col-12">
                <mat-form-field class="example-full-width">
                    <input matInput type="text" placeholder="Nombre app" formControlName="name"  >
                </mat-form-field>
            </div>
            <div class="col-sm-4 col-12">
                <mat-form-field class="example-full-width">
                    <input matInput type="text" placeholder="Ip app" formControlName="ip"  >
                </mat-form-field>
            </div>
        </div>
        <div class="row">
            <div class="col-sm-6 col-12">
                <mat-form-field class="example-full-width">
                    <input matInput type="text" placeholder="Url app" formControlName="url"  >
                </mat-form-field>
            </div>
            <div class="col-sm-6 col-12">
                <mat-form-field class="example-full-width">
                    <input matInput type="text" placeholder="Path app" formControlName="path"  >
                </mat-form-field>
            </div>
        </div>
        <br />
        <div class="row d-flex justify-content-center">
            <div class="col-sm-4 col-12">
                <mat-card>
                    <mat-card-title class="text-center">Principal</mat-card-title>
                    <mat-card-content>
                        <div class="row">
                            <div class="col-sm-12">
                                <mat-form-field class="example-full-width">
                                    <input matInput type="text" placeholder="Ip" formControlName="ip_db"  >
                                </mat-form-field>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-12">
                                <mat-form-field class="example-full-width">
                                    <input matInput type="text" placeholder="Puerto" formControlName="port_db"  >
                                </mat-form-field>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-12">
                                <mat-form-field class="example-full-width">
                                    <input matInput type="text" placeholder="Usuario" formControlName="user_db"  >
                                </mat-form-field>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-12">
                                <mat-form-field class="example-full-width">
                                    <input matInput  placeholder="Contraseña" formControlName="pass_db" >
                                    <mat-icon matSuffix >

                                        <i class="material-icons">{{ true ? 'visibility_off' : 'visibility' }}</i>
                                    </mat-icon>
                                </mat-form-field>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-12">
                                <mat-form-field class="example-full-width">
                                    <input matInput type="text" placeholder="Nombre DB" formControlName="description"  >
                                </mat-form-field>
                            </div>
                        </div>
                    </mat-card-content>
                </mat-card>
            </div>
            <div class="col-sm-4 col-12">
                <mat-card>
                    <mat-card-title class="text-center">Replica</mat-card-title>
                    <mat-card-content>
                        <div class="row">
                            <div class="col-sm-12">
                                <mat-form-field class="example-full-width">
                                    <input matInput type="text" placeholder="Ip" formControlName="ip_db_rep"  >
                                </mat-form-field>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-12">
                                <mat-form-field class="example-full-width">
                                    <input matInput type="text" placeholder="Puerto" formControlName="port_db_rep"  >
                                </mat-form-field>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-12">
                                <mat-form-field class="example-full-width">
                                    <input matInput type="text" placeholder="Usuario" formControlName="user_db_rep"  >
                                </mat-form-field>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-12">
                                <mat-form-field class="example-full-width">
                                    <input matInput  placeholder="Contraseña" formControlName="pass_db_rep" >
                                    <mat-icon matSuffix >
                                        <i class="material-icons">{{ true ? 'visibility_off' : 'visibility' }}</i>
                                    </mat-icon>
                                </mat-form-field>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-12">
                                <mat-form-field class="example-full-width">
                                    <input matInput type="text" placeholder="Nombre DB" formControlName="description_rep"  >
                                </mat-form-field>
                            </div>
                        </div>
                    </mat-card-content>
                </mat-card>
            </div>
        </div>

        <div mat-dialog-actions class="pull-right">
            <button type="submit" class="btn btn-primary btn-sm mat-button-base" mat-raised-button >
                <span class="mat-button-wrapper"><i class="material-icons">save</i> Guardar</span>
            </button>
            <button class="btn btn-danger btn-sm mat-button-base" mat-raised-button matDialogClose >
                <span class="mat-button-wrapper"><i class="material-icons">close</i> Cancelar</span>
            </button>
        </div>
    </div>
</form>